<?php // Silence is golden
global $wpdb;

function rankr_pagination($rankr_prop_lists,$pagenum,$limit=10,$where=''){
	$aff_total='';
	$num_of_pages='';
	$page_links='';

	global $wpdb;
	$aff_total = $wpdb->get_var( "SELECT COUNT('id') FROM ". $rankr_prop_lists." $where" );
	$num_of_pages = ceil( $aff_total / $limit );

	$page_links = paginate_links( array(
		'base' => add_query_arg( 'pagenum', '%#%' ),
		'format' => '',
		'prev_text' => __( '&laquo;', 'text-domain' ),
		'next_text' => __( '&raquo;', 'text-domain' ),
		'total' => $num_of_pages,
		'current' => $pagenum,
		'add_args'  => array()
	) );

	if ( $page_links ) {
		return '<div class="ts-pagination">' . $page_links . '</div>';
	}
}

function pagination_rankr($pages = '', $paged=1 , $range = 4)
{
    $showitems = ($range * 2)+1;
 
    //global $paged;
    if(empty($paged)) $paged = 1;
 
    if($pages == '')
    {
        global $wp_query;
        $pages = $wp_query->max_num_pages;
        if(!$pages)
        {
            $pages = 1;
        }
    }
 
    if(1 != $pages)
    {
        echo "<div class=\"pagination\"><span>Page ".$paged." of ".$pages."</span>";
        if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a href='".get_pagenum_link(1)."'>&laquo; First</a>";
        if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'>&lsaquo; Previous</a>";
 
        for ($i=1; $i <= $pages; $i++)
        {
            if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
            {
                echo ($paged == $i)? "<span class=\"current\">".$i."</span>":"<a href='".get_pagenum_link($i)."' class=\"inactive\">".$i."</a>";
            }
        }
 
        if ($paged < $pages && $showitems < $pages) echo "<a href=\"".get_pagenum_link($paged + 1)."\">Next &rsaquo;</a>";
        if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($pages)."'>Last &raquo;</a>";
        echo "</div>\n";
    }
}

//Add Custom Metabox
function oap_custom_metabox(){
 
    add_meta_box( 
            'oap-metabox',
            'Optimize Your Post',
            'oap_custom_metabox_callback',
            'post'
          );
}
 
add_action('add_meta_boxes', 'oap_custom_metabox');
 
 
function oap_custom_metabox_callback()
{
	global $post;
	$post_ids = $post->ID;
	?>
	<div class="row">
		<div class="label" style="font-weight:bold;margin-bottom:10px;margin-top:10px;">Focus Keyword</div>
		<div class="fields">
			<input type="text" name="_oap_focus_keys" id="myTextbox" style="width:50%" value=""/>
			<input type="hidden" name="_oap_post_id" id="myTextboxPostId" style="width:50%" value="<?php echo $post_ids; ?>"/>
		</div>
		<br/>
		<div class="fields">
			<div id="signal_response">
			</div>
		</div>
	</div>
	<script>
	jQuery('#myTextbox').keyup(function(e) {
		if(jQuery(this).val().length > 2) 
		{
			var oap_post_id = jQuery("#myTextboxPostId").val();
			var oap_focus_key = jQuery("#myTextbox").val();
			
			var oap_search = {
				action: 'oap_focus_search',
				ajax_oap_post_id : oap_post_id,
				ajax_oap_focus_key : oap_focus_key,
			};

			jQuery.post(ajaxurl, oap_search, function(oap_response) 
			{
				jQuery("#signal_response").css('display','block');
				jQuery("#signal_response").html(oap_response);
			});
		}
		else		
		{
			jQuery("#signal_response").css('display','none');
		}
	});	
	</script>
	<?php
}

add_action( 'wp_ajax_nopriv_oap_focus_search', 'ajax_oap_focus_search' );
add_action('wp_ajax_oap_focus_search', 'ajax_oap_focus_search');

function ajax_oap_focus_search()
{
	?>
	<style>
	.checkss {
	  -webkit-appearance: none; /*hides the default checkbox*/
	  height: 20px;
	  width: 20px;
	  top: 20px;
	  left: 20px;
	  transition: 0.10s;
	  background-color: #0E9700;
	  text-align: center;
	  font-weight: 600;
	  color: white;
	  border-radius: 3px;
	  outline: none;
  }
	.checkss:checked {
	  background-color: #0E9700;
	}

	.checkss:before {
	  content: "✔";
	}
	
	.checkss_err {
	  -webkit-appearance: none; /*hides the default checkbox*/
	  height: 20px;
	  width: 20px;
	  top: 20px;
	  left: 20px;
	  transition: 0.10s;
	  background-color: #FE0006;
	  text-align: center;
	  font-weight: 600;
	  color: white;
	  border-radius: 3px;
	  outline: none;
	}
	.checkss_err:checked {
	  background-color: #0E9700;
	}

	.checkss_err:before {
	  content: "✖";
	}
	</style>
	<?php
	global $wpdb;

	$oap_post_id = $_POST['ajax_oap_post_id'];
	$oap_focus_key = $_POST['ajax_oap_focus_key'];	
	$oap_focus_key_perm = str_replace(" ", "-", $oap_focus_key);
	$oap_focus_key_img = 'alt="'.$oap_focus_key.'"';
	
	$title_oap = get_the_title($oap_post_id);
	$permalink_oap = get_permalink($oap_post_id);
	$content_post = get_post($oap_post_id);
	$string1 = $content_post->post_content;
	$meta_desc = get_post_meta($oap_post_id, 'description', true);	
	
	if (stripos($title_oap, $oap_focus_key) !== false) 
	{
	?>
		<div class="row" style="display:flex;">
			<div class="label" style="font-weight:bold;margin-right:30px;">Keyword shown on title</div>
			<div class="checkss"></div>
		</div>
	<?php
	}
	else
	{
	?>
		<div class="row" style="display:flex;">
			<div class="label" style="font-weight:bold;margin-right:30px;">Keyword shown on title</div>
			<div class="checkss_err"></div>
		</div>
	<?php
	}		
	/*
	echo "<br/>";	
	
	if (stripos($meta_desc, $oap_focus_key) !== false) 
	{
	?>
		<div class="row" style="display:flex;">
			<div class="label" style="font-weight:bold;margin-right:30px;">Keyword shown on meta description</div>
			<div class="checkss"></div>
		</div>
	<?php
	}
	else
	{
	?>
		<div class="row" style="display:flex;">
			<div class="label" style="font-weight:bold;margin-right:30px;">Keyword shown on meta description</div>
			<div class="checkss_err"></div>
		</div>
	<?php
	}			
	*/
	
	$pattern = "/<h1>(.*?)<\/h1>/";
    preg_match_all($pattern, $string1, $matches);
	
	$pattern1 = "/<h2>(.*?)<\/h2>/";
    preg_match_all($pattern1, $string1, $matches1);
	//echo "<pre>"; print_r($matches1[1]); echo "</pre>";

	echo "<br/>";	
	if (in_array($oap_focus_key, $matches[1]))
	{
	?>
		<div class="row" style="display:flex;">
			<div class="label" style="font-weight:bold;margin-right:30px;">Keyword shown on H1</div>
			<div class="checkss"></div>
		</div>
	<?php
	}
	else
	{
	?>
		<div class="row" style="display:flex;">
			<div class="label" style="font-weight:bold;margin-right:30px;">Keyword shown on H1</div>
			<div class="checkss_err"></div>
		</div>
	<?php
	}
	/*
	echo "<br/>";	  
	if (in_array($oap_focus_key, $matches1[1]))
	{
	?>
		<div class="row" style="display:flex;">
			<div class="label" style="font-weight:bold;margin-right:30px;">Keyword shown on H2</div>
			<div class="checkss"></div>
		</div>
	<?php
	}
	else
	{
	?>
		<div class="row" style="display:flex;">
			<div class="label" style="font-weight:bold;margin-right:30px;">Keyword shown on H2</div>
			<div class="checkss_err"></div>
		</div>
	<?php
	}
	*/
	?>		
	<br/>
	<?php
	if (stripos($permalink_oap, $oap_focus_key_perm) !== false) 
	{
	?>
		<div class="row" style="display:flex;">
			<div class="label" style="font-weight:bold;margin-right:30px;">Keyword shown on Permalink</div>
			<div class="checkss"></div>
		</div>
	<?php
	}
	else
	{
	?>
		<div class="row" style="display:flex;">
			<div class="label" style="font-weight:bold;margin-right:30px;">Keyword shown on Permalink</div>
			<div class="checkss_err"></div>
		</div>
	<?php
	}			
	
	//$words = str_word_count($string1,1);
	//$pos   = array_keys($words);
	$string11  = substr($string1, 0, 100);
	//echo $string11;
	
	//echo $string11;
	echo "<br/>";
	if (stripos($string11, $oap_focus_key) !== false) 
	{
	?>
		<div class="row" style="display:flex;">
			<div class="label" style="font-weight:bold;margin-right:30px;">Keyword shown on first 100 words of the article, on paragraphs</div>
			<div class="checkss"></div>
		</div>
	<?php
	}
	else
	{
	?>
		<div class="row" style="display:flex;">
			<div class="label" style="font-weight:bold;margin-right:30px;">Keyword shown on first 100 words of the article, on paragraphs</div>
			<div class="checkss_err"></div>
		</div>
	<?php
	}			
	
	echo "<br/>";
	if (stripos($string1, $oap_focus_key_img) !== false) 
	{
	?>
		<div class="row" style="display:flex;">
			<div class="label" style="font-weight:bold;margin-right:30px;">Keyword shown on alt text of images</div>
			<div class="checkss"></div>
		</div>
	<?php
	}
	else
	{
	?>
		<div class="row" style="display:flex;">
			<div class="label" style="font-weight:bold;margin-right:30px;">Keyword shown on alt text of images</div>
			<div class="checkss_err"></div>
		</div>
	<?php
	}			
	
	// get the post object
	$post = get_post( $oap_post_id );
	// we need just the content
	$content = $post->post_content;
	// we need a expression to match things
	$regex = '/src="([^"]*)"/';
	// we want all matches
	preg_match_all( $regex, $content, $matches );
	// reversing the matches array
	$matches = array_reverse($matches);
	//echo '<pre>';
	// we've reversed the array, so index 0 returns the result
	//print_r($matches[0]);
	//echo '</pre>';
	
	/*
	$document = new DOMDocument();
	$document->loadHTML($string1);
	$images = $document->getElementsByTagName('img');
	echo "<pre>";
	print_r($images);
	echo "</pre>";

	//preg_match_all('/<img[^>]+>/i',$string1, $result);
	$pattern11 = '/<img.+src=[\'"]([^\'"]+)[\'"].*>/i';
    preg_match_all($pattern11, $string1, $matches111);
	
	echo "<pre>";
	print_r($matches111);
	echo "</pre>";
	
	$img = array();
	foreach( $result as $img_tag)
	{
		preg_match_all('/(alt|title|src)=("[^"]*")/i',$img_tag, $img[$img_tag]);
	}

	print_r($img);
	*/
		
	exit;
}
?>