<?php
/**
 * Plugin Name: Rankr
 * Plugin URI: https://www.google.com/
 * Description: Rankr Plugin
 * Version: 1.0
 *
*/


global $wpdb;

define('RANKR_VERSION', '1.0.0' );
define('RANKR_PLUGIN_PATH', plugin_dir_path(__FILE__));
define('RANKR_PLUGIN_FILE', __FILE__);
define('RANKR_PLUGIN_URL', plugin_dir_url( __FILE__));

add_action('admin_enqueue_scripts', 'wp_rankr_styles');
function wp_rankr_styles() {
    wp_register_style( 'rankr_css', plugins_url('/assets/css/rankr-admin.css',__FILE__));

    wp_enqueue_style( 'rankr_css' );
}
add_action('admin_enqueue_scripts', 'wp_rankr_blogger_js_script1');

function wp_rankr_blogger_js_script1()
{
    wp_register_script('rankr_bootstrap_script1', plugins_url('/assets/js/bootstrap.min.js',__FILE__), array('jquery'));  
    wp_register_script('jquery', plugins_url('/assets/js/jquery-3.2.1.js',__FILE__), array('jquery'));  
    wp_register_script('rankr_script_validate1', plugins_url('/assets/js/jquery.validate.min.js',__FILE__), array('jquery'));  
    wp_register_script('rankr_custom_script', plugins_url('/assets/js/custom_rankr.js',__FILE__), array('jquery'));  
  
    wp_enqueue_script('rankr_bootstrap_script1');
    wp_enqueue_script('jquery');
    wp_enqueue_script('rankr_script_validate1');
    wp_enqueue_script('rankr_custom_script');
} 

add_action( 'admin_enqueue_scripts', 'nsw_wp_full_auto_tags_manager_enqueue_scriptsss' );
function nsw_wp_full_auto_tags_manager_enqueue_scriptsss() 
{ 
	wp_register_style( 'wp-rankr-full-auto-tags-manager-style', plugins_url('/includes/wp-full-auto-tags-manager/assets/css/styles.css', __FILE__) );
    wp_enqueue_style( 'wp-rankr-full-auto-tags-manager-style' );
	
	if(isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on')   
         $url = "https://";   
    else  
         $url = "http://";   
    // Append the host(domain name, ip) to the URL.   
    $url.= $_SERVER['HTTP_HOST'];   
    
    // Append the requested resource location to the URL   
    $url.= $_SERVER['REQUEST_URI'];    

	//$url = admin_url('/admin.php?page=rankr-seo-tags');
	if(strpos($url,"rankr-seo-tags"))
	{
		wp_enqueue_style( 'wp-full-auto-tags-manager-bootstrap', plugins_url('/includes/wp-full-auto-tags-manager/assets/vendor/bootstrap-3.3.6-dist/css/bootstrap.css', __FILE__) );
	}
}


add_action('admin_menu', 'wp_rankr_plugin_menu');

function wp_rankr_plugin_menu(){    
    add_menu_page('Rankr', 'Rankr', 'publish_pages', 'rankr', 'rankr_admin_page' );
	add_submenu_page('rankr', 'Backlinks', 'Backlinks ', 'manage_options', 'rankr-backlinks', 'rankr_backlinks');
	add_submenu_page('rankr', 'Social Signals', 'Social Signals ', 'manage_options', 'rankr-social-signals', 'rankr_social_signal_page');
	add_submenu_page('rankr', 'SEO Tags', 'SEO Tags ', 'manage_options', 'rankr-seo-tags', 'rankr_seo_tag_page');
	//add_submenu_page('rankr', 'Optimize Post', 'Optimize Post ', 'manage_options', 'rankr-optimize-post', 'rankr_optimize_post');
}

function rankr_optimize_post()
{
    include( plugin_dir_path( __FILE__ ) . '/includes/optimize-post.php' );
}

function rankr_admin_page(){
    include( plugin_dir_path( __FILE__ ) . '/includes/rankr-welcome.php' );
}

function rankr_backlinks(){
    include( plugin_dir_path( __FILE__ ) . '/includes/rankr-backlinks.php' );?>
	<!--<a href="https://profitenigma.com/backlink-creator-tools/backlink-maker" target="_blank" />-->
	<?php
}

function rankr_social_signal_page(){
	
	//echo admin_url('/admin.php?page=rankr-seo-tags');	
	
 if(isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on')   
         $url = "https://";   
    else  
         $url = "http://";   
    // Append the host(domain name, ip) to the URL.   
    $url.= $_SERVER['HTTP_HOST'];   
    
    // Append the requested resource location to the URL   
    $url.= $_SERVER['REQUEST_URI'];    
      
    include( plugin_dir_path( __FILE__ ) . '/includes/rankr-social-display.php' );
}

function rankr_seo_tag_page(){
    //include( plugin_dir_path( __FILE__ ) . '/includes/rankr-seo-tag-display.php' );
	require_once ( dirname(__file__).'/includes/wp-full-auto-tags-manager/wp-full-auto-tags-manager.php' );
	require_once ( dirname(__file__).'/includes/wp-full-auto-tags-manager/admin/admin.php' ); 
}


require 'functions.php';

include( plugin_dir_path( __FILE__ ) . '/includes/table/activation.php' );

register_activation_hook( __FILE__, 'wprankr_activation' );
register_deactivation_hook( __FILE__, 'wprankr_deactivation' );

function wprankr_activation() {
	global $wp_rewrite,$wpdb;
	//wprankr_plugin_database();
}

function wprankr_deactivation() {
	global $wp_rewrite,$wpdb;
}

function rankr_my_ajax_tag_form_send() 
{
    $tag_post_data = $_POST['tag_data'];
    $tag_post_id = $_POST['tag_id'];
    foreach($tag_post_data as $tag_post_datas)
    {
        wp_set_post_tags($tag_post_id, $tag_post_datas , true );
    }
}
add_action( 'wp_ajax_tag_form_sends', 'rankr_my_ajax_tag_form_send' );
add_action( 'wp_ajax_nopriv_tag_form_sends', 'rankr_my_ajax_tag_form_send' );


add_action ( 'admin_menu', 'rankr_keyword_tool_create_meta_box' );

/**
 * Function for adding meta boxes to the admin.
 */

function rankr_keyword_tool_create_meta_box() {
	
	$wp_ktool_types=get_option('wp_keyword_tool_types','post,page');
	
	if(trim($wp_ktool_types) == '')  $wp_ktool_types = 'post,page';
	
	$wp_ktool_types= explode(  ',',$wp_ktool_types);
	
	foreach($wp_ktool_types as $post_type){
		
		add_meta_box ( 'wp_keyword_tool-meta-boxes', __('Keyword Ideas & Tag Generator' ,'wp_keyword_tool'), 'rankr_keyword_tool_meta_boxes', trim($post_type), 'side', 'high' );
		add_meta_box ( 'wp_keyword_tool-meta-boxes2', __('Keyword Tool Density Check','wp_keyword_tool'), 'rankr_keyword_tool_meta_boxes2', trim($post_type), 'side', 'high' );
	}
 	
}
function rankr_keyword_tool_meta_boxes() {
	
	 global $post;
	 $pid=$post->ID;
	
	 ?>


	<input id="wp_keyword_tool_ajax_src" type="hidden" value="<?php echo site_url('/?wp_keyword_tool=ajax&pid='.$pid)  ?>"> <input type="text" value="" autocomplete="off" placeholder=<?php _e( 'Keyword...','wp_keyword_tool' ) ?> size="14" class="form-input-tip" id="wp_keyword_tool_search_txt"> 
	<input type="button" tabindex="3" value="<?php _e('Search','wp_keyword_tool') ?>" class="button" id="wp_keyword_tool_more">
	<input type="button" tabindex="3" value="x" class="button tagadd" id="wp_keyword_tool_clean">
	 
	
	
<div id="rankr_keyword_tool_body">
	
	
	<div id="wp_keyword_tool_keywords" class="wp-tab-panel"></div>
	
	<div style="margin-bottom:10px;padding-left:5px;display:none;"><label><input type="checkbox" id="wp_keyword_tool_check" value="s"><?php _e('Check/uncheck all','wp_keyword_tool') ?></label></div>

    <input type="button"   value="<?php _e('Add Tags','wp_keyword_tool') ?>" class="button" id="wp_keyword_tool_tag_btn">
	<input type="button"   value="<?php _e('Watch Density','wp_keyword_tool') ?>" class="button" id="wp_keyword_tool_density_btn">
	<input type="button"   value="<?php _e('Show as list','wp_keyword_tool') ?>" class="button" style="margin: 0 auto;" id="wp_keyword_tool_list_btn">
	
	<p>
		<?php _e('keyword tool has found','wp_keyword_tool') ?> (<span class="wp_keyword_tool_count"></span>) <?php _e('keywords for the term','wp_keyword_tool') ?>
	(<span class="wp_keyword_tool_keyword_status"></span>) 
	
	
	</p>
	
</div>

<div  style="display: none"  id="wp-keyword-tool-list-wrap">
	<textarea style="width:100%;height: 300px;" id="wp-keyword-tool-list"></textarea>
</div>




<?php
}

function rankr_keyword_tool_meta_boxes2() {
	global $post;
	$pid=$post->ID;
	$oldkeys=get_post_meta($pid,'wp_keyword_tool_density',1 );
	
	if(! is_array($oldkeys)) $oldkeys=array();
	
	$display= ' style="display:none" ';
	if(count($oldkeys) >0) $display = "";
	
	echo '<div id="wp_keyword_tool_density_head" '.$display.' class="wp_keyword_tool_itm noborder"><div class="wp_keyword_tool_keyword"><strong>'.__('Keyword','wp_keyword_tool').'</strong></div><div class="wp_keyword_tool_volume"><strong>'.__('Density','wp_keyword_tool').'</strong></div><div class="clear"></div></div>';
	echo '<div id="wp_keyword_tool_keywords_density">'; 
	
	foreach($oldkeys as $key){
		?>
		<div class="wp_keyword_tool_itm"><span><a   class="dashicons-before dashicons-dismiss"></a></span><div class="wp_keyword_tool_keyword"><?php echo $key ?></div><div class="wp_keyword_tool_volume">-</div><div class="clear"></div></div>
		<?php 
	}
	
	echo '</div>';
	?>

<p style="text-align:center;margin-top:10px">
	<a id="wp_keyword_tool_density_info" href="#"><?php _e('What should density equal?','wp_keyword_tool') ?></a>
<p style="display: none" class="the-tagcloud" id="wp_keyword_tool_density_info_box" style="display: block;">
	<?php _e('The ideal density for a single keyword is','wp_keyword_tool') ?> <a href="http://www.submitedge.com/blog/ideal-keyword-density/">1-2%</a>
</p>
</p>

<script>
jQuery('#wp_keyword_tool_tag_btn').click(function () 
{
    	var searchIDs = jQuery('#wp_keyword_tool_keywords input[type="checkbox"]:checked').map(function()
    	{
          return jQuery(this).val();
        });
        //console.log(searchIDs.get());

        var ss = jQuery(this).val();
        var tagid = "<?php echo $pid; ?>";
         var data = {
            'action': 'tag_form_sends',
            'tag_id': tagid,
            'tag_data': searchIDs.get()
        };
        
        
        var ajaxurl = "<?php echo admin_url('admin-ajax.php'); ?>";
            	jQuery.ajax({
            		url: ajaxurl,
            		data: data,
            		type: 'POST',
            		success:function(data){
            			var response=JSON.parse(data);
            	        //console.log(response);
            	        location.reload(true);
            		},
            		error: function(errorThrown){
            			//alert(errorThrown);
            		} 
            	});
});
</script>

<?php
}

/*
 * settings menu
 */
add_action('admin_menu', 'rankr_keyword_tool_control_menu');

function rankr_keyword_tool_control_menu() {

	$page_hook_suffix = add_submenu_page( 'options-general.php', __('Keyword Tool','wp_keyword_tool'), 'Keyword tool', 'administrator', 'wp_keyword_tools_settings', 'rankr_keword_tool_fn' );
	add_action('admin_print_scripts-' . $page_hook_suffix, 'rankr_keyword_tool_options_scripts');
}

require_once 'options-keyword-tool.php';

function rankr_keyword_tool_options_scripts(){
	wp_enqueue_script ( 'wp_keyword_tool_options_main', plugins_url ( '/js/options.js', __FILE__ ) );
	wp_enqueue_style ( 'wp-jquery-ui-dialog' );
	wp_enqueue_script ( 'jquery-ui-dialog' );
}	



/**
 * Function for adding header style sheets and js
 */

add_action ( 'admin_print_scripts-' . 'post-new.php', 'rankr_keyword_tool_admin_scripts' );
add_action ( 'admin_print_scripts-' . 'post.php', 'rankr_keyword_tool_admin_scripts' );
function rankr_keyword_tool_admin_scripts() {
	
	wp_enqueue_style ( 'wp-jquery-ui-dialog' );
	wp_enqueue_script ( 'jquery-ui-dialog' );


	//load letters and google source to js

	$wp_keyword_tool_alphabets=get_option('wp_keyword_tool_alphabets','a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z');	

	$letters_arr=explode(',', trim($wp_keyword_tool_alphabets));
	$letters=array_filter($letters_arr);
	$wp_keyword_tool_google = trim( get_option('wp_keyword_tool_google','google.com'));
	
	?> <script type="text/javascript">
			
			var wp_keyword_tool_letters=<?php echo json_encode($letters) ; ?>;
			var wp_keyword_tool_google = '<?php echo ($wp_keyword_tool_google) ; ?>';
			</script>
	<?php 
	
	// jquery main
	wp_enqueue_script ( 'wp_keyword_tool_jquery_main', plugins_url ( '/js/main.js', __FILE__ ) , array() , '1.0.3' );
	
	// jquery gcomplete main
	wp_enqueue_script ( 'wp_keyword_tool_jquery_gcomplete', plugins_url ( '/js/jquery.gcomplete.0.1.2.js', __FILE__ ) );
	
	wp_enqueue_style ( 'wp_keyword_tool-admin-style', plugins_url ( 'css/style.css', __FILE__ ) );
	wp_enqueue_style ( 'wp_keyword_tool-admin-style-gcomplete', plugins_url ( 'css/jquery.gcomplete.default-themes.css', __FILE__ ) );
}
/**
 * custom request for fetch boards
 */
function rankr_keyword_tool_parse_request($wp) {
	
	// only process requests with "my-plugin=ajax-handler"
	if (array_key_exists ( 'wp_keyword_tool', $wp->query_vars )) {
		
		if ($wp->query_vars ['wp_keyword_tool'] == 'ajax') {
			
			require_once ('wp_keyword_ajax.php');
			exit ();
		}
	}
}
add_action ( 'parse_request', 'rankr_keyword_tool_parse_request' );
function rankr_keyword_tool_query_vars($vars) {
	$vars [] = 'wp_keyword_tool';
	return $vars;
}
add_filter ( 'query_vars', 'rankr_keyword_tool_query_vars' );


/* ------------------------------------------------------------------------*
 * Function Selected
* ------------------------------------------------------------------------*/
if(! function_exists('opt_selected')){
	function opt_selected($src,$val){
		if (trim($src)==trim($val)) echo ' selected="selected" ';
	}
}